var wgtVer=null;
function plusReady(){
    // ......
    // 获取本地应用资源版本号
    plus.runtime.getProperty(plus.runtime.appid,function(inf){
        wgtVer=inf.version;
        console.log("当前应用版本："+wgtVer);
    });
}
if(window.plus){
    plusReady();
}else{
    document.addEventListener('plusready',plusReady,false);
}

// 检测更新
function checkUpdate(){
    //plus.nativeUI.showWaiting("检测更新...");
    console.log("检测更新");
    var query = new AV.Query("VersionUpdate");
    query.find().then(function(versions){
    	if(versions.length == 0){
    		console.log('no versaion info');
    		return;
    	}
    	var newVer = versions[0].get('version');
    	var wgtUri = versions[0].get('uri');
    	if(wgtVer&&newVer&&(wgtVer!=newVer)){
    		console.log("检测到新版本：" + newVer);
    		downWgt(wgtUri);
    	}else{
    		console.log("已是最新版本");
    	}
    	//plus.nativeUI.closeWaiting(); 	
    });
}

// 下载wgt文件
function downWgt(wgtUri){
    //plus.nativeUI.showWaiting("下载wgt文件...");
    console.log("下载wgt文件...");
    plus.downloader.createDownload( wgtUri, {filename:"_doc/update/"}, function(d,status){
        if ( status == 200 ) { 
            console.log("下载wgt成功："+d.filename);
            installWgt(d.filename); // 安装wgt包
        } else {
            console.log("下载wgt失败！");
            //plus.nativeUI.alert("下载wgt失败！");
        }
        //plus.nativeUI.closeWaiting();
    }).start();
}

// 更新应用资源
function installWgt(path){
    //plus.nativeUI.showWaiting("安装wgt文件...");
    console.log("安装wgt文件");
    plus.runtime.install(path,{},function(){
        //plus.nativeUI.closeWaiting();
        console.log("安装wgt文件成功！");
        /*plus.nativeUI.alert("应用资源更新完成！",function(){
            plus.runtime.restart();
        });*/
    },function(e){
        //plus.nativeUI.closeWaiting();
        console.log("安装wgt文件失败["+e.code+"]："+e.message);
        //plus.nativeUI.alert("安装wgt文件失败["+e.code+"]："+e.message);
    });
}